#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: wai-extra
version: 3.0.10
id: wai-extra-3.0.10-a5607e7ed0ac17213dcae8400f5a22e0
key: waiex_BI9NeJiHtiJ0qfaCHba4qE
license: MIT
maintainer: michael@snoyman.com
stability: Stable
homepage: http://github.com/yesodweb/wai
synopsis: Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:
    .
    * WAI Testing Framework
    .
    Hspec testing facilities and helpers for WAI.
    .
    * Event Source/Event Stream
    .
    Send server events to the client. Compatible with the JavaScript
    EventSource API.
    .
    * Accept Override
    .
    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).
    .
    * Add Headers
    .
    WAI Middleware for adding arbitrary headers to an HTTP request.
    .
    * Clean Path
    .
    Clean a request path to a canonical form.
    .
    * GZip Compression
    .
    Negotiate HTTP payload gzip compression.
    .
    * HTTP Basic Authentication
    .
    WAI Basic Authentication Middleware which uses Authorization header.
    .
    * JSONP
    .
    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.
    .
    * Method Override / Post
    .
    Allows overriding of the HTTP request method via the _method query string
    parameter.
    .
    * Request Logging
    .
    Request logging middleware for development and production environments
    .
    * Request Rewrite
    .
    Rewrite request path info based on a custom conversion rules.
    .
    * Stream Files
    .
    Convert ResponseFile type responses into ResponseStream type.
    .
    * Virtual Host
    .
    Redirect incoming requests to a new host based on custom rules.
    .
    .
    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.
category: Web
author: Michael Snoyman
exposed: True
exposed-modules:
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.Local Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.Jsonp
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.StripHeaders
    Network.Wai.Middleware.Vhost Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.StreamFile Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Routed Network.Wai.Parse Network.Wai.Request
    Network.Wai.UrlMap Network.Wai.Test Network.Wai.EventSource
    Network.Wai.EventSource.EventStream
hidden-modules: Network.Wai.Middleware.RequestLogger.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/wai-extra-3.0.10
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/wai-extra-3.0.10
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/wai-extra-3.0.10
hs-libraries: HSwai-extra-3.0.10-BI9NeJiHtiJ0qfaCHba4qE
include-dirs: /usr/local/include
depends:
    ansi-terminal-0.6.2.1-45b37b0fd2ec6c9b1401ee63612af3c1
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    base64-bytestring-1.0.0.1-203a5235c20e5fba4053f9da99918220
    blaze-builder-0.4.0.1-337ce448928c4b4b6038ba6720d2ab90
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    case-insensitive-1.2.0.4-19d14e9206f0c06c6d26299b5df858f2
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    cookie-0.4.1.6-be305b573399847f25930f0653ca276c
    data-default-class-0.0.1-06f131700d8043a79c55259693817561
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    fast-logger-2.4.1-ed97ec3ce12b6fc1c11b43a5b09584de
    http-types-0.8.6-2a3582ae4fa3ec97405e208a4236c763
    lifted-base-0.2.3.6-1dfd01e491e36bcf548a0a97190dea47
    network-2.6.2.1-9490071e8bb5bde351680d4e75451a12
    old-locale-1.0.0.7-2f3f4311e12e7847c2af472c26151237
    resourcet-1.1.6-3a75664627c0bb1d25241ddf929eee21
    streaming-commons-0.1.12.1-5afe42b06d19cf469089c61d4d73fc33
    stringsearch-0.3.6.6-200fbe9bc3640f1b493d42f4cbcc1599
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    unix-2.7.1.0-c796801a586150abeef86700e7ee3ace
    unix-compat-0.4.1.4-071cff10affd54e66629a03c88c36f8d
    vault-0.3.0.4-214657536bd321230adc1e35b01a678e
    void-0.7-30fafbfde0a5a4b9a359326d9e6c8b47
    wai-3.0.3.0-992e1bb1f55ae211882797289d94959d
    wai-logger-2.2.4.1-53bbe7bc79f46563a044eff205bb77b0
    word8-0.1.2-a76d495c344a96df14bbc40cb7411a4d
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/wai-extra-3.0.10/html/wai-extra.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/wai-extra-3.0.10/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
